#
# SchoolTool - common information systems platform for school administration
# Copyright (c) 2014 Shuttleworth Foundation
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
"""
ISLI skin customization.
"""

import zc.resourcelibrary

from schooltool.skin import flourish


class CustomCSSViewlet(flourish.viewlet.Viewlet):

    def update(self):
        zc.resourcelibrary.need('schooltool.isli.custom')
        
    render = flourish.templates.Inline('''
      <link rel="stylesheet" type="text/css" href="layout.css" media="screen"
            tal:attributes="href context/++resource++schooltool.isli.custom/custom.css" />
    ''')
